List all regions
curl --request GET \
--url https://data-api.compute-index.com/v1/regions \
--header 'Authorization: Bearer <token>'import requests
url = "https://data-api.compute-index.com/v1/regions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data-api.compute-index.com/v1/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"contract_terms": [
"1mo",
"1y",
"2mo",
"3mo",
"3y",
"6mo"
],
"contract_types": [
"ondemand",
"reserved",
"spot"
],
"gpu_model_count": 19,
"gpu_models": [
"A10",
"A100",
"B200",
"H100",
"H200",
"Inferentia v1",
"L4",
"L40S",
"M60",
"P100",
"P4",
"RTX 3060",
"RTX 3090 Ti",
"RTX 4090",
"RTX 5090",
"T4",
"TPU v5e",
"TPU v5p",
"V100"
],
"region": "af-south-1",
"vendor_count": 6,
"vendors": [
"aws",
"azure",
"gcp",
"gpunet",
"novita",
"vastai"
]
},
{
"contract_terms": [
"1mo",
"1y",
"2mo",
"3mo",
"3y",
"6mo"
],
"contract_types": [
"ondemand",
"reserved",
"spot"
],
"gpu_model_count": 33,
"gpu_models": [
"A10",
"A100",
"A10G",
"B200",
"H100",
"H200",
"Inferentia v1",
"L4",
"L40S",
"P100",
"RTX 2060 Super",
"RTX 2080 Ti",
"RTX 3060",
"RTX 3070",
"RTX 3080",
"RTX 3090",
"RTX 4060 Ti",
"RTX 4070",
"RTX 4070 Super",
"RTX 4080 Super",
"RTX 4090",
"RTX 5060 Ti",
"RTX 5070",
"RTX 5070 Ti",
"RTX 5080",
"RTX 5090",
"RTX 5880 Ada",
"RTX 6000",
"RTX PRO 6000",
"T4",
"TPU v5e",
"TPU v5p",
"V100"
],
"region": "ap-east-1",
"vendor_count": 6,
"vendors": [
"aws",
"azure",
"cloud_gpus",
"gcp",
"novita",
"vastai"
]
}
],
"total_count": 39
}Metadata
Regions
Get list of all regions with vendor/GPU availability and pricing statistics
GET
/
v1
/
regions
List all regions
Example
List every region with vendor/GPU availability and pricing statistics:curl -H "Authorization: Bearer $TOKEN" \
"https://data-api.compute-index.com/v1/regions"